# 72. Requête : obtenir les données en grille au format GeoJSON ou GeoTIFF

Requête pour obtenir des données en grille à partir des jeux de données tels que "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" comme `GEOJSON` avec des points ou `GEOTIFF`.&#x20;

{% hint style="danger" %}
Il est recommandé de récupérer un seul jeu de données avec `sourceDataUrl` par requête.&#x20;
{% endhint %}

`GEOTIFF` et `GEOJSON` sont disponibles au format `formats`.

{% hint style="danger" %}
`sourceDataUrl` le lien est accessible uniquement pendant **60 s.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nom
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nom
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(format : GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/docs-api/vue-densemble-des-requetes-de-lapi-geopard/72.-requete-obtenir-les-donnees-en-grille-au-format-geojson-ou-geotiff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
